com.genesyslab.wfm8.API.service.config851

## Class CfgUser

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgUser

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgUser
      extends java.lang.Object
      implements java.io.Serializable

  User Information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `gswEmail`
    `protected java.lang.String` | `gswFirstName`
    `protected java.lang.String` | `gswLastName`
    `protected int` | `gswTenantId`
    `protected int` | `gswUserId`
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp`
    `protected int` | `wmBuilderId`
    `protected int` | `wmSecurityRoleId`
    `protected int` | `wmTimezoneId`
    `protected java.lang.String` | `wmUser`
    `protected java.util.List<CfgUserSecurity>` | `wmUserSecurity`
    `protected int` | `wmUserSecurityNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgUser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getGswEmail()` Gets the value of the gswEmail property.
    `java.lang.String` | `getGswFirstName()` Gets the value of the gswFirstName property.
    `java.lang.String` | `getGswLastName()` Gets the value of the gswLastName property.
    `int` | `getGswTenantId()` Gets the value of the gswTenantId property.
    `int` | `getGswUserId()` Gets the value of the gswUserId property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `getWmBuilderId()` Gets the value of the wmBuilderId property.
    `int` | `getWmSecurityRoleId()` Gets the value of the wmSecurityRoleId property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `java.lang.String` | `getWmUser()` Gets the value of the wmUser property.
    `java.util.List<CfgUserSecurity>` | `getWmUserSecurity()` Gets the value of the wmUserSecurity property.
    `int` | `getWmUserSecurityNSizeIs()` Gets the value of the wmUserSecurityNSizeIs property.
    `int` | `hashCode()`
    `void` | `setGswEmail(java.lang.String value)` Sets the value of the gswEmail property.
    `void` | `setGswFirstName(java.lang.String value)` Sets the value of the gswFirstName property.
    `void` | `setGswLastName(java.lang.String value)` Sets the value of the gswLastName property.
    `void` | `setGswTenantId(int value)` Sets the value of the gswTenantId property.
    `void` | `setGswUserId(int value)` Sets the value of the gswUserId property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmBuilderId(int value)` Sets the value of the wmBuilderId property.
    `void` | `setWmSecurityRoleId(int value)` Sets the value of the wmSecurityRoleId property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `void` | `setWmUser(java.lang.String value)` Sets the value of the wmUser property.
    `void` | `setWmUserSecurity(java.util.List<CfgUserSecurity> wmUserSecurity)` Sets the value of the wmUserSecurity property.
    `void` | `setWmUserSecurityNSizeIs(int value)` Sets the value of the wmUserSecurityNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgUser` | `withGswEmail(java.lang.String value)`
    `CfgUser` | `withGswFirstName(java.lang.String value)`
    `CfgUser` | `withGswLastName(java.lang.String value)`
    `CfgUser` | `withGswTenantId(int value)`
    `CfgUser` | `withGswUserId(int value)`
    `CfgUser` | `withTimestamp(long value)`
    `CfgUser` | `withWmBuilderId(int value)`
    `CfgUser` | `withWmSecurityRoleId(int value)`
    `CfgUser` | `withWmTimezoneId(int value)`
    `CfgUser` | `withWmUser(java.lang.String value)`
    `CfgUser` | `withWmUserSecurity(CfgUserSecurity... values)`
    `CfgUser` | `withWmUserSecurity(java.util.Collection<CfgUserSecurity> values)`
    `CfgUser` | `withWmUserSecurityNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswUserId

          protected int gswUserId

    - #### wmUser

          protected java.lang.String wmUser

    - #### wmTimezoneId

          protected int wmTimezoneId

    - #### wmBuilderId

          protected int wmBuilderId

    - #### wmSecurityRoleId

          protected int wmSecurityRoleId

    - #### gswFirstName

          protected java.lang.String gswFirstName

    - #### gswLastName

          protected java.lang.String gswLastName

    - #### gswEmail

          protected java.lang.String gswEmail

    - #### gswTenantId

          protected int gswTenantId

    - #### wmUserSecurityNSizeIs

          protected int wmUserSecurityNSizeIs

    - #### wmUserSecurity

          protected java.util.List<CfgUserSecurity> wmUserSecurity

    - #### timestamp

          protected long timestamp

  - ### Constructor Detail

    - #### CfgUser

          public CfgUser()

  - ### Method Detail

    - #### getGswUserId

          public int getGswUserId()

      Gets the value of the gswUserId property.

    - #### setGswUserId

          public void setGswUserId(int value)

      Sets the value of the gswUserId property.

    - #### getWmUser

          public java.lang.String getWmUser()

      Gets the value of the wmUser property.
      Returns:
        possible object is `String`

    - #### setWmUser

          public void setWmUser(java.lang.String value)

      Sets the value of the wmUser property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### getWmBuilderId

          public int getWmBuilderId()

      Gets the value of the wmBuilderId property.

    - #### setWmBuilderId

          public void setWmBuilderId(int value)

      Sets the value of the wmBuilderId property.

    - #### getWmSecurityRoleId

          public int getWmSecurityRoleId()

      Gets the value of the wmSecurityRoleId property.

    - #### setWmSecurityRoleId

          public void setWmSecurityRoleId(int value)

      Sets the value of the wmSecurityRoleId property.

    - #### getGswFirstName

          public java.lang.String getGswFirstName()

      Gets the value of the gswFirstName property.
      Returns:
        possible object is `String`

    - #### setGswFirstName

          public void setGswFirstName(java.lang.String value)

      Sets the value of the gswFirstName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGswLastName

          public java.lang.String getGswLastName()

      Gets the value of the gswLastName property.
      Returns:
        possible object is `String`

    - #### setGswLastName

          public void setGswLastName(java.lang.String value)

      Sets the value of the gswLastName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGswEmail

          public java.lang.String getGswEmail()

      Gets the value of the gswEmail property.
      Returns:
        possible object is `String`

    - #### setGswEmail

          public void setGswEmail(java.lang.String value)

      Sets the value of the gswEmail property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGswTenantId

          public int getGswTenantId()

      Gets the value of the gswTenantId property.

    - #### setGswTenantId

          public void setGswTenantId(int value)

      Sets the value of the gswTenantId property.

    - #### getWmUserSecurityNSizeIs

          public int getWmUserSecurityNSizeIs()

      Gets the value of the wmUserSecurityNSizeIs property.

    - #### setWmUserSecurityNSizeIs

          public void setWmUserSecurityNSizeIs(int value)

      Sets the value of the wmUserSecurityNSizeIs property.

    - #### getWmUserSecurity

          public java.util.List<CfgUserSecurity> getWmUserSecurity()

      Gets the value of the wmUserSecurity property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmUserSecurity property.

      For example, to add a new item, do as follows:

              getWmUserSecurity().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgUserSecurity`

    - #### setWmUserSecurity

          public void setWmUserSecurity(java.util.List<CfgUserSecurity> wmUserSecurity)

      Sets the value of the wmUserSecurity property.
      Parameters:
        `wmUserSecurity` - allowed object is `CfgUserSecurity`

    - #### withWmUserSecurity

          public CfgUser withWmUserSecurity(CfgUserSecurity... values)

    - #### withWmUserSecurity

          public CfgUser withWmUserSecurity(java.util.Collection<CfgUserSecurity> values)

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withGswUserId

          public CfgUser withGswUserId(int value)

    - #### withWmUser

          public CfgUser withWmUser(java.lang.String value)

    - #### withWmTimezoneId

          public CfgUser withWmTimezoneId(int value)

    - #### withWmBuilderId

          public CfgUser withWmBuilderId(int value)

    - #### withWmSecurityRoleId

          public CfgUser withWmSecurityRoleId(int value)

    - #### withGswFirstName

          public CfgUser withGswFirstName(java.lang.String value)

    - #### withGswLastName

          public CfgUser withGswLastName(java.lang.String value)

    - #### withGswEmail

          public CfgUser withGswEmail(java.lang.String value)

    - #### withGswTenantId

          public CfgUser withGswTenantId(int value)

    - #### withWmUserSecurityNSizeIs

          public CfgUser withWmUserSecurityNSizeIs(int value)

    - #### withTimestamp

          public CfgUser withTimestamp(long value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.